/*jshint laxcomma: true, smarttabs: true, node:true, mocha: true*/
'use strict';
/**
 * Allows for ad hoc grouping by a time precision value
 * @module tastypie-bookshelf/lib/resource/filters/precision
 * @author Eric Satterwhite
 * @since 1.0.0
 * @example ?foobar__period=hour
 * @example ?foobar__period=minute
 */
var joi = require('joi')
  , boom = require('boom')
  ;

const validator = joi.string().regex(/(HOUR|MINUTE)/i)

module.exports = function period(qb, field, term){
    let result;
    result = validator.validate( term );
    if( result.error ){
        throw result.error
    }
	return qb.groupByRaw(`${result.value}(time)`);
};
